apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-01-15T09:06:12.22608219Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    original-ID: vm-138
    original-name: esx7-0-rhel6-10-x86-64
  resourceVersion: '91903193'
  name: esx7-0-rhel6-10-x86-64
  uid: 3ebe0010-92fc-4a49-b8bc-fb93c378ca4b
  creationTimestamp: '2025-01-15T08:50:56Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:original-ID': {}
            'f:original-name': {}
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-01-15T08:50:56Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-01-15T08:50:56Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2025-01-15T09:06:12Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-01-15T09:06:16Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 872bba51-8f02-4064-a393-1288675b2715
    plan: 8bb389cf-5822-4e53-a9c9-4d873e35f09f
    vmID: vm-138
spec:
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: esx7-0-rhel6-10-x86-64
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:83:81:fb'
              masquerade: {}
              model: virtio
              name: net-0
        firmware:
          bootloader:
            bios: {}
          serial: 4203dd59-7e23-4271-fa08-a3323ab7ffd0
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 1Gi
        resources: {}
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: test-rhel6-guest-vm-138-qm4r4
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-01-15T09:06:14Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: PVC test-rhel6-guest-vm-138-qm4r4 is not shared, live migration requires that all PVCs must be shared (using ReadWriteMany access mode)'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'

